<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Object.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_object_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Object.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_object_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef OBJECT_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define OBJECT_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;stdarg.h&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define Warn(...) Warning(__PRETTY_FUNCTION__,__VA_ARGS__)</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define Err(...) Error(__PRETTY_FUNCTION__,__VA_ARGS__)</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#define Info(...) Information(__PRETTY_FUNCTION__,__LINE__,__VA_ARGS__)</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define TIME_INFINITE 0</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#define TIME_NONBLOCK ((Time)-1)</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>Object_impl;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>Widget_impl;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;{</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_message.html">   33</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_message.html">Message</a> {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <a class="code" href="classframework_1_1core_1_1_message.html">Message</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> myBufferSize):bufferSize(myBufferSize) {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            buffer=<span class="keyword">new</span> <span class="keywordtype">char</span>[bufferSize];</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        }</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        ~<a class="code" href="classframework_1_1core_1_1_message.html">Message</a>() {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            <span class="keyword">delete</span> buffer;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        }</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keywordtype">char</span> *buffer;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="keywordtype">size_t</span> bufferSize;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    };</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">   49</a></span>&#160;    <span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> <a class="code" href="namespaceframework_1_1core.html#a54a48f7a2a292bf1f6da7c1e65d73868">GetTime</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="namespaceframework_1_1core.html#abdc90e4bd0996ea501a4c48e2336203c">Printf</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *format, ...);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_object.html">   75</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_object.html">Object</a></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    {</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keyword">friend</span> class ::Widget_impl;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;                Auto=0,</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;                Red=31,</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;                Green=32,</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;                Orange=33</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            } color_t;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            <a class="code" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent=NULL,std::string name=<span class="stringliteral">&quot;&quot;</span>,std::string type=<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;            <span class="keyword">virtual</span> <a class="code" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a>();</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            std::string <a class="code" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            std::string <a class="code" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            <span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* <a class="code" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            std::vector&lt;const Object*&gt;* <a class="code" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            std::vector&lt;const Object*&gt;* <a class="code" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *<span class="keyword">function</span>, <span class="keywordtype">int</span> line, <span class="keyword">const</span> <span class="keywordtype">char</span> *format, ...) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *<span class="keyword">function</span>,<span class="keyword">const</span> <span class="keywordtype">char</span> *format, ...) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *<span class="keyword">function</span>,<span class="keyword">const</span> <span class="keywordtype">char</span> *format, ...) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a>(<span class="keywordtype">bool</span> recursive=<span class="keyword">true</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;            <span class="keyword">class </span>Object_impl* pimpl_;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;            <span class="keywordtype">void</span> ColorPrintf(color_t, <span class="keyword">const</span> <span class="keywordtype">char</span> *<span class="keyword">function</span>, <span class="keywordtype">int</span> line, <span class="keyword">const</span> <span class="keywordtype">char</span> *format, va_list *args) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    };</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="preprocessor">#endif // OBJECT_H</span></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_message_html"><div class="ttname"><a href="classframework_1_1core_1_1_message.html">framework::core::Message</a></div><div class="ttdef"><b>Definition:</b> Object.h:33</div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_a8dda2eca639eb56bb2c3f26de04f2678"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">framework::core::Object::Parent</a></div><div class="ttdeci">const Object * Parent(void) const </div><div class="ttdoc">Parent. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_aee8de0c31d51e165fed466a4c8bcf6c4"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">framework::core::Object::Childs</a></div><div class="ttdeci">std::vector&lt; const Object * &gt; * Childs(void) const </div><div class="ttdoc">Childs. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_ac934815b59eb1cf1a47bdb114fa86da0"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">framework::core::Object::~Object</a></div><div class="ttdeci">virtual ~Object()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_a97617b01df8aedc07b2ba46ef4988994"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">framework::core::Object::Object</a></div><div class="ttdeci">Object(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a54a48f7a2a292bf1f6da7c1e65d73868"><div class="ttname"><a href="namespaceframework_1_1core.html#a54a48f7a2a292bf1f6da7c1e65d73868">framework::core::GetTime</a></div><div class="ttdeci">Time GetTime(void)</div><div class="ttdoc">Time. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_abb73af04b52a2ba67a2d2ce1a74330a2"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">framework::core::Object::Warning</a></div><div class="ttdeci">void Warning(const char *function, const char *format,...) const </div><div class="ttdoc">Formatted warning. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_a6f48a765168b2fe4a629234e0b778559"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">framework::core::Object::Error</a></div><div class="ttdeci">void Error(const char *function, const char *format,...) const </div><div class="ttdoc">Formatted error. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_a49660b572cdbedc6a665d5d396ed00a1"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">framework::core::Object::ObjectType</a></div><div class="ttdeci">std::string ObjectType(void) const </div><div class="ttdoc">Type. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_a56a6221f2ce124d7c53b15a423a47b08"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">framework::core::Object::ErrorOccured</a></div><div class="ttdeci">bool ErrorOccured(bool recursive=true) const </div><div class="ttdoc">Has an errror occured? </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_ae19cf04d95b4cabb8c6064375b15337f"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">framework::core::Object::ObjectName</a></div><div class="ttdeci">std::string ObjectName(void) const </div><div class="ttdoc">Name. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_a7fb6234586cd406b3bea93aadf01ba16"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">framework::core::Object::TypeChilds</a></div><div class="ttdeci">std::vector&lt; const Object * &gt; * TypeChilds(void) const </div><div class="ttdoc">Childs of the same type. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_abdc90e4bd0996ea501a4c48e2336203c"><div class="ttname"><a href="namespaceframework_1_1core.html#abdc90e4bd0996ea501a4c48e2336203c">framework::core::Printf</a></div><div class="ttdeci">void Printf(const char *format,...)</div><div class="ttdoc">Formatted print. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_aec1974099e78e731ba9c3dd1ed05de94"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">framework::core::Object::Information</a></div><div class="ttdeci">void Information(const char *function, int line, const char *format,...) const </div><div class="ttdoc">Formatted information. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_object_8h.html">Object.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
